TokenLab

Files & Batches

List Batches

List batches in the current Workspace.

GET
/v1/batches

Overview

Return batches created in the current Workspace.

Example

Request

cURL
curl -X GET "https://api.tokenlab.sh/v1/batches?limit=20" \
  -H "Authorization: Bearer sk-your-api-key"

Response example

Response

200 OK
{
  "object": "list",
  "data": [{ "id": "batch_abc123", "object": "batch", "status": "completed" }],
  "first_id": "batch_abc123",
  "last_id": "batch_abc123",
  "has_more": false
}

Important fields

objectstring
Always list.
dataarray
Batches.
statusstring
Status of each batch.
has_moreboolean
More results are available when has_more is true.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key authentication. Create or manage API keys in Dashboard > API > API Keys.

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
after?string

Response

application/json

application/json